Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.logging
Class LogManager

    java.lang.Object
      java.util.logging.LogManager
          com.sun.jini.logging.LogManager

public class LogManager
extends LogManager

Defines a `LogManager` that insures that the `Levels.FAILED` and `Levels.HANDLED` fields, instances of `Level`, have been initialized, and that can periodically check for changes to the logging configuration file and force it to be reread. Use this class as the value of the `java.util.logging.manager` system property to permit specifying the symbolic names for the `FAILED` and `HANDLED` logging levels in standard logging configuration files, or to allow changes to the logging configuration file to be noticed.

The `com.sun.jini.logging.interval` logging property (obtained using `LogManager.getProperty`) specifies the time interval in milliseconds between probes to see if the logging configuration file has changed; periodic checking only takes place if the value is greater than zero. (If a new logging configuration file is read, this property can be redefined.) The logging configuration file is specified by the `java.util.logging.config.file` system property (which is sampled at every probe), if defined, otherwise it is the `logging.properties` file in the `lib` subdirectory of the directory specified by the `java.home` system property. The file is read if the name of the file differs from that used in the previous probe or if the file has a different modification time.

This implementation uses the `Logger` named `com.sun.jini.logging.LogManager` to log information at the following logging levels:

`com.sun.jini.logging.LogManager`
Level | Description
--- | ---
`WARNING` | if an exception occurs while rereading the logging configuration file
`CONFIG` | each time the logging configuration file is successfully reread
`CONFIG` | termination of probes because interval is less than or equal to zero

Since:
  2.0

Constructor Summary
`LogManager()` Creates an instance of this class.

Method Summary
`void` | `readConfiguration(InputStream ins)` Reinitialize the logging properties and reread the logging configuration, and initiate probes if the probe interval is greater than zero.

Methods inherited from class java.util.logging.LogManager
`addLogger, addPropertyChangeListener, checkAccess, getLogger, getLoggerNames, getLogManager, getProperty, readConfiguration, removePropertyChangeListener, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogManager

    public LogManager()

  Creates an instance of this class.

Method Detail

### readConfiguration

    public void readConfiguration(InputStream ins)
                           throws IOException

  Reinitialize the logging properties and reread the logging configuration, and initiate probes if the probe interval is greater than zero.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved